#!/bin/sh
# Generate fbpad tinyfonts

# The directory containing the input fonts
FP="/root/.fonts"

# Ubuntu Mono font family
OP="-h29 -w15 -d196:164"
./ft2tf $OP    $FP/UbuntuMono-R.ttf:10	>ubuntur.tf
./ft2tf $OP    $FP/UbuntuMono-RI.ttf:10	>ubuntui.tf
./ft2tf $OP    $FP/UbuntuMono-B.ttf:10	>ubuntub.tf
./ft2tf $OP    $FP/UbuntuMono-BI.ttf:10	>ubuntux.tf
./ft2tf $OP    $FP/UbuntuMono-R.ttf:10 $FP/DejaVuSansMono.ttf:8 >ubuntur.tf

# DejaVuSans Mono font family
OP="-h29 -w15"
./ft2tf $OP    $FP/dejavu/DejaVuSansMono.ttf:8		>dejavur.tf
./ft2tf $OP    $FP/dejavu/DejaVuSansMono-Oblique.ttf:8	>dejavui.tf
./ft2tf $OP    $FP/dejavu/DejaVuSansMono-Bold.ttf:8	>dejavub.tf
./ft2tf $OP    $FP/dejavu/DejaVuSansMono-BoldOblique.ttf:8	>dejavux.tf

# Courier font family; included in ghotscript-fonts package
OP="-h29 -w15"
./ft2tf $OP    $FP/n022003l.pfb:9	>courr.tf
./ft2tf $OP -b $FP/n022023l.pfb:9	>couri.tf
./ft2tf $OP    $FP/n022004l.pfb:9	>courb.tf
./ft2tf $OP    $FP/n022024l.pfb:9	>courx.tf
./ft2tf $OP -b $FP/n022003l.pfb:9 $FP/dejavu/DejaVuSansMono.ttf:8 >courr.tf

# Monofur font family
OP="-h29 -w15 -a -d196:164"
./ft2tf $OP    $FP/monof55.ttf:10	>monofr.tf
./ft2tf $OP    $FP/monof56.ttf:10	>monofi.tf
./ft2tf $OP -b $FP/monof55.ttf:10	>monofb.tf
./ft2tf $OP    $FP/monof55.ttf:10 $FP/UbuntuMono-R.ttf:10 $FP/DejaVuSansMono.ttf:8 >monofr.tf

# BPmono font family
OP="-h29 -w15 -a"
./ft2tf $OP    $FP/BPmono.ttf:8.5		>bpmonor.tf
./ft2tf $OP    $FP/BPmonoItalics.ttf:8.5	>bpmonoi.tf
./ft2tf $OP    $FP/BPmonoBold.ttf:8.5		>bpmonob.tf
./ft2tf $OP    $FP/BPmono.ttf:8.5 $FP/dejavu/DejaVuSansMono.ttf:8 >bpmonor.tf

# Other fonts
OP="-h29 -w15"
./ft2tf $OP -a $FP/monaco.ttf:8		>monaco.tf
./ft2tf $OP -a $FP/Inconsolata.otf:10	>incons.tf
./ft2tf $OP    $FP/belshaw.ttf:9	>belshaw.tf
./ft2tf $OP    $FP/anonpro.ttf:10	>anonpror.tf
./ft2tf $OP    $FP/anonpro_i.ttf:10	>anonproi.tf
./ft2tf $OP    $FP/anonpro_b.ttf:10	>anonprob.tf
